<?php
namespace Teknisa\CRM\Service;


class PessoaRelacionadaService {
    
    protected $pessoaFactory;
    
    public function __construct ($pessoaFactory){
        
        $this->pessoaFactory    = $pessoaFactory;
    }
    
    public function deletePessoasTicket($code, $nrorg){
        $params = array(
            'NRSEQCONTATO'  => $code,
            'NRORG'         => $nrorg,
        );
        $this->pessoaFactory->deletePessoasTicket($params);    
    }
    
    public function saveOrUpdatePessoa($code, $pessoa, $nrorg, $cdoperador){
        $params = array(
            'NRSEQCONTATO'      => (int)$code,
            'NRPARCNEGOCIO'     => $pessoa,
            'NRORG'             => $nrorg,
            'CDOPERADOR'        => $cdoperador,
        );
            
        $this->pessoaFactory->savePessoaTicket($params);
    }
}